---
type: api
title: Create a saved object
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-createsavedobjectid
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-createsavedobjectid
products:
  - Kibana
---

# Create a saved object

deprecated

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/saved_objects/{type}/{id}`
- `POST` `/s/{space_id}/api/saved_objects/{type}/{id}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `id` (string)
  An identifier for the saved object.
- `type` (string)
  Valid options include `visualization`, `dashboard`, `search`, `index-pattern`, `config`.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Create a Kibana saved object and specify its identifier instead of using a randomly generated ID.

## Query String Parameters

- `overwrite` (boolean)
  If true, overwrites the document with the same identifier.

## Request Body

`application/json`

- `attributes` (object) — required
  The data that you want to create. WARNING: When you create saved objects, attributes are not validated, which allows you to pass arbitrary and ill-formed data into the API that can break Kibana. Make sure any data that you send to the API is properly formed.
- `initialNamespaces` ([] object) — optional
  Identifiers for the spaces in which this object is created. If this is provided, the object is created only in the explicitly defined spaces. If this is not provided, the object is created in the current space (default behavior). For shareable object types (registered with `namespaceType: 'multiple'`), this option can be used to specify one or more spaces, including the "All spaces" identifier ('*'). For isolated object types (registered with `namespaceType: 'single'` or `namespaceType: 'multiple-isolated'`), this option can only be used to specify a single space, and the "All spaces" identifier ('*') is not allowed. For global object types (`registered with `namespaceType: agnostic`), this option cannot be used.
- `references` ([] object) — optional
  Identifiers for the spaces in which this object is created. If this is provided, the object is created only in the explicitly defined spaces. If this is not provided, the object is created in the current space (default behavior). For shareable object types (registered with `namespaceType: 'multiple'`), this option can be used to specify one or more spaces, including the "All spaces" identifier ('*'). For isolated object types (registered with `namespaceType: 'single'` or `namespaceType: 'multiple-isolated'`), this option can only be used to specify a single space, and the "All spaces" identifier ('*') is not allowed. For global object types (`registered with `namespaceType: agnostic`), this option cannot be used.

## Responses

#### `200`

Indicates a successful call.

`application/json`

Type: `object`

#### `409`

Indicates a conflict error.

`application/json`

Type: `object`

## Code Examples

#### Console

```console
POST /api/saved_objects/{type}/{id}
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/saved_objects/{type}/{id}" \
  -H "kbn-xsrf: true"
```

